Bug 439833 - Current netlabel_tools doesn't support static label functionality in kernel
Summary: Current netlabel_tools doesn't support static label functionality in kernel
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: netlabel_tools   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-31 17:01 UTC by Joe Nall
Modified: 2008-10-30 12:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 10:33:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Nall 2008-03-31 17:01:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_2; en-us) AppleWebKit/525.13 (KHTML, like Gecko) Version/3.1 Safari/525.13

Description of problem:
netlabel_tools needs to be synced against the head of the svn tree to pick up the static/fallback labeling control support added to the 2.6.25 kernel.

Version-Release number of selected component (if applicable):
netlabel_tools-0.17-7.fc9.i386

How reproducible:
Always


Steps to Reproduce:
netlabelctl unlbl add interface:eth0 address:192.168.20.100/32 label:user_u:object_r:user_t:s2
netlabelctl unlbl list



Actual Results:
default label will not have been added with current tools

Expected Results:
./netlabelctl/netlabelctl unlbl list
accept:on interface:eth0,address:192.168.20.100/32,label:"user_u:object_r:user_t:s2"



Additional info:

Comment 1 Joe Nall 2008-04-30 20:22:08 UTC
Any chance of getting this updated for F9?

Comment 2 Paul Moore 2008-04-30 20:36:00 UTC
If the Fedora folks need me to spin a new version to make this happen just let 
me know.

Comment 3 Bug Zapper 2008-05-14 08:28:42 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Paul Moore 2008-06-25 21:09:29 UTC
I just released netlabel_tools version 0.18 which contains support for the 
static/fallback label functionality added in kernel 2.6.25.

http://sourceforge.net/project/showfiles.php?group_id=174379&package_id=199951&release_id=609442

Comment 5 Paul Moore 2008-07-19 22:42:40 UTC
Any chance we can get the new release included in Fedora?  There are other bug 
fixes and enhancements which should make including version 0.18 attractive.

Comment 6 Peter Vrabec 2008-10-27 15:49:03 UTC
I have just built netlabel_tools-0.18-1.fc10 in rawhide. Could you try it? If it's OK, I'll upgrade F9 netlabel_tools. thnx.

Comment 7 Paul Moore 2008-10-28 14:54:03 UTC
I just verified the x86_64 package on my Rawhide box and everything looks okay to me.  If you can get this into F9 and the next F10 pre-release that would be great.

Thanks for taking care of this.

Comment 8 Fedora Update System 2008-10-29 10:26:11 UTC
netlabel_tools-0.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/netlabel_tools-0.18-1.fc9

Comment 9 Fedora Update System 2008-10-30 12:48:06 UTC
netlabel_tools-0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.